package com.yunzhi.marketing.borker.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yunzhi.marketing.borker.entity.BkBankCard;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="BorkerSummery", description="全民经纪人概要")
public class BorkerSummery {

    @ApiModelProperty("人员ID")
    private String personId;

    @ApiModelProperty("头像")
    private String avatarurl;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("性别")
    private Integer sex;

    @TableField(exist = false)
    @ApiModelProperty("客户数")
    Integer customerNum;

    @TableField(exist = false)
    @ApiModelProperty("经纪人数")
    Integer borkerNum;

    @ApiModelProperty("总佣金")
    private Integer totalCommission;
}
